﻿using System.Collections.ObjectModel;
using System.Windows.Media;
using Telerik.Windows.Controls.Map;

namespace PointsStyling
{
	public class PointOfInterest
	{
        private Location _location; 
        private ZoomRange _zoomRange; 
        private double _baseZoomLevel; 
        private string _title; 
        private string _imageUri; 
        private string _description;
		private Brush _background; 
  
        public Location Location 
        { 
            get 
            { 
                return _location; 
            } 
            set 
            { 
                _location = value; 
            } 
        }

		public Brush Background 
        { 
            get 
            {
				return _background;
            } 
            set 
            {
				_background = value; 
            } 
        } 

        public ZoomRange ZoomRange 
        { 
            get 
            { 
                return _zoomRange; 
            } 
            set 
            { 
                _zoomRange = value; 
            } 
        } 
  
        public double BaseZoomLevel 
        { 
            get 
            { 
                return _baseZoomLevel; 
            } 
            set 
            { 
                _baseZoomLevel = value; 
            } 
        } 
  
        public string Title 
        { 
            get 
            { 
                return _title; 
            } 
            set 
            { 
                _title = value; 
            } 
        } 
  
        public string ImageUri 
        { 
            get 
            { 
                return _imageUri; 
            } 
            set 
            { 
                _imageUri = value; 
            } 
        } 
  
        public string Description 
        { 
            get 
            { 
                return _description; 
            } 
            set 
            { 
                _description = value; 
            } 
        } 
  
    } 
  
    public class POICollection : ObservableCollection<PointOfInterest> 
    { 
        public POICollection() 
        { 
        } 
    }
}
